######################## Auditbeat Configuration ############################

#==========================  Modules configuration =============================
auditbeat.modules:
#-------------------------------- Auditd Module --------------------------------
- module: auditd
  resolve_ids: true
  failure_mode: silent
  backlog_limit: 8196
  rate_limit: 0
  include_raw_message: false
  include_warnings: false
#-------------------------------- System Module --------------------------------
- module: system
  datasets:
    - host    # General host information, e.g. uptime, IPs
    - login   # User logins, logouts, and system boots.
    - package # Installed, updated, and removed packages
    - process # Started and stopped processes
    - socket  # Opened and closed sockets
    - user    # User information
  state.period: 3h
  user.detect_password_changes: true
  login.wtmp_file_pattern: /var/log/wtmp*
  login.btmp_file_pattern: /var/log/btmp*

#================================ Outputs ======================================
#-------------------------- Elasticsearch output -------------------------------
output.elasticsearch:
  hosts: ["{{ elastic_url }}"]
  #username: "elastic"
  #password: "<password>"

#============================== Template =====================================
setup.template.enabled: true

#============================== Kibana =====================================
setup.kibana:
  host: "{{ kibana_url }}"
